<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>com.smartitengineering</groupId>
  <artifactId>stock-exchange</artifactId>
  <packaging>pom</packaging>
  <version>0.1-SNAPSHOT</version>
  <name>Stock Exchange Feed</name>
  <url>http://imyousuf-tech.blogs.smartitengineering.com</url>
  <repositories>
    <repository>
      <id>java.net</id>
      <name>Java.net Maven2 Artifact Repository</name>
      <releases>
        <enabled>true</enabled>
      </releases>
      <snapshots>
        <enabled>false</enabled>
      </snapshots>
      <url>http://download.java.net/maven/2/</url>
    </repository>
    <repository>
      <id>google-maven-repo</id>
      <name>Google Maven Repository</name>
      <url>http://google-maven-repository.googlecode.com/svn/repository/</url>
    </repository>
    <repository>
      <id>maven-gae-plugin-repo</id>
      <name>Maven Google App Engine Repository</name>
      <url>http://maven-gae-plugin.googlecode.com/svn/repository/</url>
    </repository>
    <repository>
      <id>mvnsearch.org</id>
      <name>MVN Search</name>
      <url>http://www.mvnsearch.org/maven2</url>
      <releases>
        <enabled>true</enabled>
        <updatePolicy>never</updatePolicy>
        <checksumPolicy>warn</checksumPolicy>
      </releases>
      <snapshots>
        <enabled>false</enabled>
      </snapshots>
    </repository>
  </repositories>
  <pluginRepositories>
    <pluginRepository>
      <id>maven-gae-plugin-repo</id>
      <name>Maven Google App Engine Repository</name>
      <url>http://maven-gae-plugin.googlecode.com/svn/repository/</url>
    </pluginRepository>
  </pluginRepositories>
  <properties>
    <gae.version>1.3.0</gae.version>
    <!--
      GAE home points to directory where GAE SDK is unpacked in local repository
    -->
    <gae.home>
      ${settings.localRepository}/com/google/appengine/appengine-java-sdk/${gae.version}/appengine-java-sdk-${gae.version}
    </gae.home>
    <gae.application.name>smart-stock</gae.application.name>
    <gae.email>imyousuf@gmail.com</gae.email>
    <!-- Upload to http://0.latest.<applicationName>.appspot.com by default -->
    <gae.application.version>1</gae.application.version>
    <!-- port defaults to 8080 -->
    <gae.port>8080</gae.port>
  </properties>
  <modules>
    <module>dse-data-client</module>
    <module>feedprovider</module>
    <module>feeds-api</module>
    <module>feeds-api-impl</module>
  </modules>
</project>